Bug 35417 - Hostnamen "unassigned-hostname" as logical volume group name
Hostnamen "unassigned-hostname" as logical volume group name
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
All Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Drees Dormann
: interim-1
Depends on: 25846
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-21 09:12 CEST by Philipp Hahn
Modified: 2014-11-26 06:53 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Further conceptual development
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-07-21 09:12:18 CEST
+++ This bug was initially created as a clone of Bug #25846 +++
The Debian installer uses the host name to name the volume group (VG) when using LVM partitioning. As the host-name is pre-seeded as "unassigned-hostname", the VG gets names "unassigned-hostname".

1) Ask for the hostname in the Debian installer
2) Use a fixed name like vg_ucs again, which complicates moving discs and disaster recovery.
Comment 1 Philipp Hahn univentionstaff 2014-07-22 12:12:51 CEST
"vg_ucs" is set through preseed.cfg
r52053 | Bug #35417 d-i: Fix LVM VG naming
Comment 2 Drees Dormann univentionstaff 2014-08-26 09:01:58 CEST
working as expected
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:53:50 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".